<?php

namespace App\Http\Controllers\Admin\Shop;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use App\Repositories\Core\Auth\Users;

class DashboardController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return
     */
    public function index()
    {
        $data = [];

        if (Users::hasRole('admin')) {
            $dashboard = 'dashboard';
            $data = [];
        }

        return view('Admin.Shop.Dashboard.index', $data);
    }
}
